ur_rna.GUITester.ScriptParser

## Class ScriptNode

- java.lang.Object
- - ur_rna.GUITester.ScriptParser.SimpleNode
  - - ur_rna.GUITester.ScriptParser.ScriptNode

- All Implemented Interfaces:
    Node, ScriptNodePropConstants
  Direct Known Subclasses:
    ASTAction, ASTAssignment, ASTGuiReference, ASTGuiSearchCriteria, ASTLiteral, ASTNamedArgument, ASTRoot, ASTVarRef

      public class ScriptNode
      extends SimpleNode
      implements ScriptNodePropConstants

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `private class` | `ScriptNode.DumpState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Node[]` | `emptyChildArray`
    `int` | `tokenKind`

    - ### Fields inherited from class ur_rna.GUITester.ScriptParser.SimpleNode

      `children, id, parent, parser, value`

    - ### Fields inherited from interface ur_rna.GUITester.ScriptParser.ScriptNodePropConstants

      `LHS, OPERATION, PRIMITIVE, RHS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptNode(GuiTestScriptParser p, int i)`
    `ScriptNode(int i)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Node node)`
    `ScriptNode` | `child(int i)`
    `int` | `childCount()`
    `private void` | `dump(ScriptNode.DumpState state)`
    `private void` | `dump(ScriptNode.DumpState state, int nodePositionFromEnd)`
    `void` | `dump(java.lang.String prefix)`
    `void` | `dump(java.lang.String prefix, java.io.PrintStream out)`
    `ScriptNode` | `get(int pos)`
    `Node[]` | `getChildren()`
    `java.lang.String` | `getNodeName()`
    `static java.lang.String` | `getNodeName(int nodeId)`
    `private int` | `getPositionFromEnd()`
    `java.lang.Object` | `getTokenKind()`
    `java.lang.String` | `getTokenName()`
    `static java.lang.String` | `getTokenName(int kind)`
    `boolean` | `hasChildren()`
    `java.lang.String` | `propsToString()`
    `void` | `setTokenKind(int kind)`
    `java.lang.String` | `toString()`
    `void` | `writeProps(java.lang.StringBuilder sb)`

    - ### Methods inherited from class ur_rna.GUITester.ScriptParser.SimpleNode

      `getId, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtGetValue, jjtOpen, jjtSetParent, jjtSetValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### emptyChildArray

          protected static final Node[] emptyChildArray

    - #### tokenKind

          public int tokenKind

  - ### Constructor Detail

    - #### ScriptNode

          public ScriptNode(GuiTestScriptParser p,
                            int i)

    - #### ScriptNode

          public ScriptNode(int i)

  - ### Method Detail

    - #### add

          public void add(Node node)

    - #### child

          public ScriptNode child(int i)

    - #### childCount

          public int childCount()

    - #### dump

          private void dump(ScriptNode.DumpState state)

    - #### dump

          private void dump(ScriptNode.DumpState state,
                            int nodePositionFromEnd)

    - #### dump

          public void dump(java.lang.String prefix)

      Overrides:
        `dump` in class `SimpleNode`

    - #### dump

          public void dump(java.lang.String prefix,
                           java.io.PrintStream out)

    - #### get

          public ScriptNode get(int pos)

    - #### getChildren

          @NotNull
          public Node[] getChildren()

    - #### getNodeName

          public java.lang.String getNodeName()

    - #### getNodeName

          public static java.lang.String getNodeName(int nodeId)

    - #### getPositionFromEnd

          private int getPositionFromEnd()

    - #### getTokenKind

          public java.lang.Object getTokenKind()

    - #### getTokenName

          public java.lang.String getTokenName()

    - #### getTokenName

          public static java.lang.String getTokenName(int kind)

    - #### hasChildren

          public boolean hasChildren()

    - #### propsToString

          public java.lang.String propsToString()

    - #### setTokenKind

          public void setTokenKind(int kind)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `SimpleNode`

    - #### writeProps

          public void writeProps(java.lang.StringBuilder sb)